










init -1 style default:
    properties gui.text_properties()
    language gui.language

init -1 style input:
    properties gui.text_properties("input", accent=True)
    adjust_spacing False

init -1 style hyperlink_text:
    properties gui.text_properties("hyperlink", accent=True)
    hover_underline True

init -1 style gui_text:
    properties gui.text_properties("interface")


init -1 style button:
    properties gui.button_properties("button")

init -1 style button_text is gui_text:
    properties gui.text_properties("button")
    yalign 0.5


init -1 style label_text is gui_text:
    properties gui.text_properties("label", accent=True)

init -1 style prompt_text is gui_text:
    properties gui.text_properties("prompt")


init -1 style bar:
    ysize gui.bar_size
    left_bar Frame("gui/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

init -1 style vbar:
    xsize gui.bar_size
    top_bar Frame("gui/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

init -1 style scrollbar:
    ysize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

init -1 style vscrollbar:
    xsize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

init -1 style slider:
    ysize gui.slider_size
    base_bar Frame("gui/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/slider/horizontal_[prefix_]thumb.png"

init -1 style vslider:
    xsize gui.slider_size
    base_bar Frame("gui/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/slider/vertical_[prefix_]thumb.png"


init -1 style frame:
    padding gui.frame_borders.padding
    background Frame("gui/frame.png", gui.frame_borders, tile=gui.frame_tile)





















define -1 persistent.say_window_alpha = 0.8
default -1 persistent.pref_text_size = gui.text_size

init -501 screen say(who, what):


    style_prefix "say"
    window:
        background Transform(style.window.background, alpha=persistent.say_window_alpha)

        id "window"

        if who is not None:

            window:
                id "namebox"
                style "namebox"
                text who id "who"

        if persistent.say_window_alpha < 0.6:
            text what id "what" size persistent.pref_text_size
        else:
            text what id "what" size persistent.pref_text_size



init -1 python:
    config.character_id_prefixes.append('namebox')

init -1 style window is default
init -1 style say_label is default
init -1 style say_dialogue is default
init -1 style say_thought is say_dialogue

init -1 style namebox is default
init -1 style namebox_label is say_label


init -1 style window:
    xalign 0.5
    xfill True
    yalign gui.textbox_yalign
    ysize gui.textbox_height

    background Image("gui/textbox.png", xalign=0.5, yalign=1.0)

init -1 style namebox:
    xpos gui.name_xpos
    xanchor gui.name_xalign
    xsize gui.namebox_width
    ypos gui.name_ypos
    ysize gui.namebox_height

    background Frame("gui/namebox.png", gui.namebox_borders, tile=gui.namebox_tile, xalign=gui.name_xalign)
    padding gui.namebox_borders.padding

init -1 style say_label:
    properties gui.text_properties("name", accent=True)
    xalign gui.name_xalign
    yalign 0.5

init -1 style say_dialogue:
    properties gui.text_properties("dialogue")

    xpos gui.dialogue_xpos
    xsize gui.dialogue_width
    ypos gui.dialogue_ypos












init -501 screen input(prompt):
    style_prefix "input"

    window:

        has vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

        text prompt style "input_prompt"
        input id "input"

init -1 style input_prompt is default

init -1 style input_prompt:
    xalign gui.dialogue_text_xalign
    properties gui.text_properties("input_prompt")

init -1 style input:
    xalign gui.dialogue_text_xalign
    xmaximum gui.dialogue_width










init -501 screen choice(items):
    style_prefix "choice"

    vbox:
        for i in items:
            textbutton i.caption action i.action




define -1 config.narrator_menu = True


init -1 style choice_vbox is vbox
init -1 style choice_button is button
init -1 style choice_button_text is button_text

init -1 style choice_vbox:
    xalign 0.5
    ypos 520
    yanchor 0.5

    spacing gui.choice_spacing

init -1 style choice_button is default:
    properties gui.button_properties("choice_button")

init -1 style choice_button_text is default:
    properties gui.button_text_properties("choice_button")







init -501 screen quick_menu():


    zorder 100

    if quick_menu:

        imagebutton auto "Volver_%s.png" xpos 1781 ypos 1046 action Rollback()
        imagebutton auto "Cargar_%s.png" xpos 1385 ypos 1046 action ShowMenu('load')
        imagebutton auto "Guardar_%s.png" xpos 1253 ypos 1046 action ShowMenu('save')
        imagebutton auto "Menu_%s.png" xpos 1517 ypos 1046 action ShowMenu('preferences')
        imagebutton auto "Omitir_%s.png" xpos 1649 ypos 1046 action Skip() alternate Skip(fast=True, confirm=True)
        imagebutton auto "Hide_%s.png" xpos 927 ypos 1023 action HideInterface()



















init -1 python:
    config.overlay_screens.append("quick_menu")

default -1 quick_menu = True

init -1 style quick_button is default
init -1 style quick_button_text is button_text

init -1 style quick_button:
    properties gui.button_properties("quick_button")

init -1 style quick_button_text:
    properties gui.button_text_properties("quick_button")











init -501 screen navigation():

    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5

        spacing gui.navigation_spacing

        if main_menu:

            textbutton _("Comenzar") action Start()

        else:

            textbutton _("Historial") action ShowMenu("history")

            textbutton _("Guardar") action ShowMenu("save")

        textbutton _("Cargar") action ShowMenu("load")

        textbutton _("Opciones") action ShowMenu("preferences")

        textbutton _("Fan Arts") xpos 0 ypos 0 action ShowMenu ("Fan_Arts")

        if _in_replay:

            textbutton _("Finaliza repetición") action EndReplay(confirm=True)

        elif not main_menu:

            textbutton _("Menú principal") action MainMenu()

        textbutton _("Acerca de") action ShowMenu("about")

        if renpy.variant("pc") or (renpy.variant("web") and not renpy.variant("mobile")):


            textbutton _("Ayuda") action ShowMenu("help")

        if renpy.variant("pc"):



            textbutton _("Salir") action Quit(confirm=not main_menu)

            imagebutton idle "BuyLogo.png" hover "BuyLogo2.png" xpos 0 ypos 1 focus_mask None action OpenURL("https://www.buymeacoffee.com/GoldenNovels")

            imagebutton idle "DiscordLogo3.png" hover "DiscordLogo4.png" xpos 0 ypos 20 focus_mask None action OpenURL("https://discord.gg/FgPuS5q")


init -1 style navigation_button is gui_button
init -1 style navigation_button_text is gui_button_text

init -1 style navigation_button:
    size_group "navigation"
    properties gui.button_properties("navigation_button")

init -1 style navigation_button_text:
    properties gui.button_text_properties("navigation_button")








init -501 screen main_menu():




    style_prefix "main_menu" tag menu

    add gui.main_menu_background


    frame




    use navigation

    if gui.show_name:

        vbox:
            text "[config.name!t]":
                style "main_menu_title"

            text "[config.version]":
                style "main_menu_version"


init -1 style main_menu_frame is empty
init -1 style main_menu_vbox is vbox
init -1 style main_menu_text is gui_text
init -1 style main_menu_title is main_menu_text
init -1 style main_menu_version is main_menu_text

init -1 style main_menu_frame:
    xsize 420
    yfill True


init -1 style main_menu_vbox:
    xalign 1.0
    xoffset -30
    xmaximum 1200
    yalign 1.0
    yoffset -30

init -1 style main_menu_text:
    properties gui.text_properties("main_menu", accent=True)

init -1 style main_menu_title:
    properties gui.text_properties("title")

init -1 style main_menu_version:
    properties gui.text_properties("version")











init -501 screen game_menu(title, scroll=None, yinitial=0.0):

    style_prefix "game_menu"

    if main_menu:
        add gui.main_menu_background
    else:
        add gui.game_menu_background

    frame:
        style "game_menu_outer_frame"

        has hbox


        frame:
            style "game_menu_navigation_frame"

        frame:
            style "game_menu_content_frame"

            if scroll == "viewport":

                viewport:
                    yinitial yinitial
                    scrollbars "vertical"
                    mousewheel True
                    draggable True
                    pagekeys True

                    side_yfill True

                    has vbox
                    transclude

            elif scroll == "vpgrid":

                vpgrid:
                    cols 1
                    yinitial yinitial

                    scrollbars "vertical"
                    mousewheel True
                    draggable True
                    pagekeys True

                    side_yfill True

                    transclude

            else:

                transclude

    use navigation

    textbutton _("Volver"):
        style "return_button"

        action Return()

    label title

    if main_menu:
        key "game_menu" action ShowMenu("main_menu")


init -1 style game_menu_outer_frame is empty
init -1 style game_menu_navigation_frame is empty
init -1 style game_menu_content_frame is empty
init -1 style game_menu_viewport is gui_viewport
init -1 style game_menu_side is gui_side
init -1 style game_menu_scrollbar is gui_vscrollbar

init -1 style game_menu_label is gui_label
init -1 style game_menu_label_text is gui_label_text

init -1 style return_button is navigation_button
init -1 style return_button_text is navigation_button_text

init -1 style game_menu_outer_frame:
    bottom_padding 45
    top_padding 180

    background "gui/overlay/game_menu.png"

init -1 style game_menu_navigation_frame:
    xsize 420
    yfill True

init -1 style game_menu_content_frame:
    left_margin 60
    right_margin 30
    top_margin 15

init -1 style game_menu_viewport:
    xsize 1380

init -1 style game_menu_vscrollbar:
    unscrollable gui.unscrollable

init -1 style game_menu_side:
    spacing 15

init -1 style game_menu_label:
    xpos 75
    ysize 180

init -1 style game_menu_label_text:
    size gui.title_text_size
    color gui.accent_color
    yalign 0.5

init -1 style return_button:
    xpos gui.navigation_xpos
    yalign 1.0
    yoffset -45










init -501 screen about():
    tag menu





    use game_menu(_("Acerca de"), scroll="viewport"):

        style_prefix "about"

        vbox:

            label "[config.name!t]"
            text _("Versión [config.version!t]\n")


            if gui.about:
                text "[gui.about!t]\n"





init -501 screen calendario:
    zorder 10
    add "[fondocalen]" xpos -47 ypos 876
    text _("{font=ABC.ttf}{color=ffffff}[diafe]{/color}{/font}") xpos 41 ypos 999 size +30
    text _("{font=ABC.ttf}{color=ffffff}[fechadi]{/color}{/font}") xpos 68 ypos 926 size +69





init -501 screen inten:
    if intentos >= 0:
        if intentos < 1:
            timer timeout action Jump("gameoverpark")


        add "Pelotablanca.png" xpos 0 ypos 0
        text ("{color=000000}[intentos]{/color}") xpos 33 ypos 19











init -501 screen Fan_Arts:
    tag menu

    add "imagefondofan.png"

    textbutton _("{font=Asha.ttf}Alune{/font}") xpos 50 ypos 45 action ShowMenu ("AluneFan")

    textbutton _("{font=Asha.ttf}Asagi{/font}") xpos 50 ypos 135 action ShowMenu ("AsagiFan")

    textbutton _("{font=Asha.ttf}Bonnie{/font}") xpos 50 ypos 225 action ShowMenu ("BonnieFan")

    textbutton _("{font=Asha.ttf}Ceina{/font}") xpos 50 ypos 315 action ShowMenu ("CeinaFan")

    textbutton _("{font=Asha.ttf}Erika{/font}") xpos 50 ypos 405 action ShowMenu ("ErikaFan")

    textbutton _("{font=Asha.ttf}Jill{/font}") xpos 50 ypos 495 action ShowMenu ("JillFan")

    textbutton _("{font=Asha.ttf}Maria{/font}") xpos 50 ypos 585 action ShowMenu ("MariaFan")

    textbutton _("{font=Asha.ttf}Rachel{/font}") xpos 50 ypos 675 action ShowMenu ("RachelFan")

    textbutton _("{font=Asha.ttf}Satanichia{/font}") xpos 50 ypos 765 action ShowMenu ("SataFan")

    textbutton _("{font=Asha.ttf}Siri{/font}") xpos 50 ypos 855 action ShowMenu ("SiriFan")

    textbutton _("{font=Asha.ttf}Yuri{/font}") xpos 50 ypos 945 action ShowMenu ("YuriFan")

    textbutton _("{font=Asha.ttf}Volver{/font}") xpos 25 ypos 1020 action Return()




init -501 screen CeinaFan2:
    tag menu

    add "imagefondoCeina2.png"

    imagebutton auto "CeinaFan9_%s.png" xpos 230 ypos 120 action [Show("CeinaFan9C"), Hide("CeinaFan2")]

    imagebutton auto "CeinaFan10_%s.png" xpos 530 ypos 120 action [Show("CeinaFan10C"), Hide("CeinaFan2")]

    imagebutton auto "CeinaFan11_%s.png" xpos 230 ypos 320 action [Show("CeinaFan11C"), Hide("CeinaFan2")]

    imagebutton auto "CeinaFan12_%s.png" xpos 530 ypos 320 action [Show("CeinaFan12C"), Hide("CeinaFan2")]

    imagebutton auto "ButtonFan2_%s.png" xpos 20 ypos 500 action [Show("CeinaFan"), Hide("CeinaFan2")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("CeinaFan2")]

init -501 screen CeinaFan9C:
    add "CeinaFan9C.png" xpos 660 ypos 110

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan9C"), Show("CeinaFan8C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan9C"), Show("CeinaFan2")]

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan9C"), Show("CeinaFan10C")]

init -501 screen CeinaFan10C:
    add "CeinaFan10C.png" xpos 650 ypos 100

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan10C"), Show("CeinaFan2")]

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan10C"), Show("CeinaFan11C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan10C"), Show("CeinaFan9C")]

init -501 screen CeinaFan11C:
    add "CeinaFan11C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan11C"), Show("CeinaFan12C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan11C"), Show("CeinaFan2")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan11C"), Show("CeinaFan10C")]

init -501 screen CeinaFan12C:
    add "CeinaFan12C.png" xpos 630 ypos 90

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan12C"), Show("CeinaFan2")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan12C"), Show("CeinaFan11C")]




init -501 screen CeinaFan:
    tag menu
    add "imagefondoCeina.png"

    imagebutton auto "CeinaFan_%s.png" xpos 1100 ypos 120 action [Show("CeinaFan1C"), Hide("CeinaFan")]

    imagebutton auto "CeinaFan2_%s.png" xpos 1400 ypos 120 action [Show("CeinaFan2C"), Hide("CeinaFan")]

    imagebutton auto "CeinaFan3_%s.png" xpos 1100 ypos 320 action [Show("CeinaFan3C"), Hide("CeinaFan")]

    imagebutton auto "CeinaFan4_%s.png" xpos 1400 ypos 320 action [Show("CeinaFan4C"), Hide("CeinaFan")]

    imagebutton auto "CeinaFan5_%s.png" xpos 1100 ypos 520 action [Show("CeinaFan5C"), Hide("CeinaFan")]

    imagebutton auto "CeinaFan6_%s.png" xpos 1400 ypos 520 action [Show("CeinaFan6C"), Hide("CeinaFan")]

    imagebutton auto "CeinaFan7_%s.png" xpos 1100 ypos 720 action [Show("CeinaFan7C"), Hide("CeinaFan")]

    imagebutton auto "CeinaFan8_%s.png" xpos 1400 ypos 720 action [Show("CeinaFan8C"), Hide("CeinaFan")]

    imagebutton auto "ButtonFan_%s.png" xpos 1780 ypos 500 action [Show("CeinaFan2"), Hide("CeinaFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("CeinaFan")]

init -501 screen CeinaFan1C:
    add "CeinaFan1C.png" xpos 650 ypos 100

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan1C"), Show("CeinaFan")]

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan1C"), Show("CeinaFan2C")]

init -501 screen CeinaFan2C:
    add "CeinaFan2C.png" xpos 650 ypos 100

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan2C"), Show("CeinaFan")]

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan2C"), Show("CeinaFan3C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan2C"), Show("CeinaFan1C")]

init -501 screen CeinaFan3C:
    add "CeinaFan3C.png" xpos 650 ypos 100

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan3C"), Show("CeinaFan")]

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan3C"), Show("CeinaFan4C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan3C"), Show("CeinaFan2C")]

init -501 screen CeinaFan4C:
    add "CeinaFan4C.png" xpos 650 ypos 100

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan4C"), Show("CeinaFan")]

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan4C"), Show("CeinaFan5C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan4C"), Show("CeinaFan3C")]

init -501 screen CeinaFan5C:
    add "CeinaFan5C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan5C"), Show("CeinaFan6C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan5C"), Show("CeinaFan")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan5C"), Show("CeinaFan4C")]

init -501 screen CeinaFan6C:
    add "CeinaFan6C.png" xpos 570 ypos 280

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan6C"), Show("CeinaFan7C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan6C"), Show("CeinaFan")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan6C"), Show("CeinaFan5C")]

init -501 screen CeinaFan7C:
    add "CeinaFan7C.png" xpos 570 ypos 280

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan7C"), Show("CeinaFan8C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan7C"), Show("CeinaFan")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan7C"), Show("CeinaFan6C")]

init -501 screen CeinaFan8C:
    add "CeinaFan8C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("CeinaFan8C"), Show("CeinaFan9C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("CeinaFan8C"), Show("CeinaFan")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("CeinaFan8C"), Show("CeinaFan7C")]




init -501 screen JillFan:
    tag menu
    add "imagefondoJill.png"

    imagebutton auto "JillFan_%s.png" xpos 1100 ypos 120 action [Show("JillFan1C"), Hide("JillFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("JillFan")]


init -501 screen JillFan1C:
    add "JillFan1C.png" xpos 650 ypos 100

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("JillFan1C"), Show("JillFan")]




init -501 screen ErikaFan:
    tag menu
    add "imagefondoErika.png"

    imagebutton auto "ErikaFan_%s.png" xpos 100 ypos 220 action [Show("ErikaFan1C"), Hide("ErikaFan")]

    imagebutton auto "ErikaFan2_%s.png" xpos 400 ypos 220 action [Show("ErikaFan2C"), Hide("ErikaFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("ErikaFan")]


init -501 screen ErikaFan1C:
    add "ErikaFan1C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("ErikaFan1C"), Show("ErikaFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("ErikaFan1C"), Show("ErikaFan")]

init -501 screen ErikaFan2C:
    add "ErikaFan2C.png" xpos 711 ypos 100

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("ErikaFan2C"), Show("ErikaFan1C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("ErikaFan2C"), Show("ErikaFan")]




init -501 screen RachelFan:
    tag menu

    add "imagefondoRachel.png"

    imagebutton auto "RachelFan_%s.png" xpos 100 ypos 220 action [Show("RachelFan1C"), Hide("RachelFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("RachelFan")]

init -501 screen RachelFan1C:
    add "RachelFan1C.png" xpos 650 ypos 100

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("RachelFan1C"), Show("RachelFan")]




init -501 screen SiriFan:
    tag menu

    add "imagefondoSiri.png"

    imagebutton auto "SiriFan_%s.png" xpos 100 ypos 220 action [Show("SiriFan1C"), Hide("SiriFan")]

    imagebutton auto "SiriFan2_%s.png" xpos 400 ypos 220 action [Show("SiriFan2C"), Hide("SiriFan")]

    imagebutton auto "SiriFan3_%s.png" xpos 100 ypos 420 action [Show("SiriFan3C"), Hide("SiriFan")]

    imagebutton auto "SiriFan4_%s.png" xpos 400 ypos 420 action [Show("SiriFan4C"), Hide("SiriFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("SiriFan")]

init -501 screen SiriFan1C:
    add "SiriFan1C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("SiriFan1C"), Show("SiriFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("SiriFan1C"), Show("SiriFan")]

init -501 screen SiriFan2C:
    add "SiriFan2C.png" xpos 560 ypos 255

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("SiriFan2C"), Show("SiriFan3C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("SiriFan2C"), Show("SiriFan1C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("SiriFan2C"), Show("SiriFan")]

init -501 screen SiriFan3C:
    add "SiriFan3C.png" xpos 685 ypos 95

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("SiriFan3C"), Show("SiriFan4C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("SiriFan3C"), Show("SiriFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("SiriFan3C"), Show("SiriFan")]

init -501 screen SiriFan4C:
    add "SiriFan4C.png" xpos 660 ypos 95

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("SiriFan4C"), Show("SiriFan3C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("SiriFan4C"), Show("SiriFan")]




init -501 screen AluneFan:
    tag menu

    add "imagefondoAlune.png"

    imagebutton auto "AluneFan_%s.png" xpos 1100 ypos 120 action [Show("AluneFan1C"), Hide("AluneFan")]

    imagebutton auto "AluneFan2_%s.png" xpos 1400 ypos 120 action [Show("AluneFan2C"), Hide("AluneFan")]

    imagebutton auto "AluneFan3_%s.png" xpos 1100 ypos 320 action [Show("AluneFan3C"), Hide("AluneFan")]

    imagebutton auto "AluneFan4_%s.png" xpos 1400 ypos 320 action [Show("AluneFan4C"), Hide("AluneFan")]

    imagebutton auto "AluneFan5_%s.png" xpos 1100 ypos 520 action [Show("AluneFan5C"), Hide("AluneFan")]

    imagebutton auto "AluneFan6_%s.png" xpos 1400 ypos 520 action [Show("AluneFan6C"), Hide("AluneFan")]

    imagebutton auto "AluneFan7_%s.png" xpos 1100 ypos 720 action [Show("AluneFan7C"), Hide("AluneFan")]

    imagebutton auto "AluneFan8_%s.png" xpos 1400 ypos 720 action [Show("AluneFan8C"), Hide("AluneFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("AluneFan")]

init -501 screen AluneFan1C:
    add "AluneFan1C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AluneFan1C"), Show("AluneFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan1C"), Show("AluneFan")]

init -501 screen AluneFan2C:
    add "AluneFan2C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AluneFan2C"), Show("AluneFan3C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AluneFan2C"), Show("AluneFan1C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan2C"), Show("AluneFan")]

init -501 screen AluneFan3C:
    add "AluneFan3C.png" xpos 650 ypos 200

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AluneFan3C"), Show("AluneFan4C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AluneFan3C"), Show("AluneFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan3C"), Show("AluneFan")]

init -501 screen AluneFan4C:
    add "AluneFan4C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AluneFan4C"), Show("AluneFan5C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AluneFan4C"), Show("AluneFan3C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan4C"), Show("AluneFan")]

init -501 screen AluneFan5C:
    add "AluneFan5C.png" xpos 600 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AluneFan5C"), Show("AluneFan6C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AluneFan5C"), Show("AluneFan4C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan5C"), Show("AluneFan")]

init -501 screen AluneFan6C:
    add "AluneFan6C.png" xpos 724 ypos 97

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AluneFan6C"), Show("AluneFan7C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AluneFan6C"), Show("AluneFan5C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan6C"), Show("AluneFan")]

init -501 screen AluneFan7C:
    add "AluneFan7C.png" xpos 562 ypos 250

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AluneFan7C"), Show("AluneFan8C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AluneFan7C"), Show("AluneFan6C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan7C"), Show("AluneFan")]

init -501 screen AluneFan8C:
    add "AluneFan8C.png" xpos 555 ypos 145

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AluneFan8C"), Show("AluneFan7C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AluneFan8C"), Show("AluneFan")]




init -501 screen BonnieFan2:
    tag menu

    add "imagefondoBonnie2.png"

    imagebutton auto "BonnieFan9_%s.png" xpos 1100 ypos 120 action [Show("BonnieFan9C"), Hide("BonnieFan2")]

    imagebutton auto "BonnieFan10_%s.png" xpos 1400 ypos 120 action [Show("BonnieFan10C"), Hide("BonnieFan2")]

    imagebutton auto "ButtonFan2_%s.png" xpos 20 ypos 500 action [Show("BonnieFan"), Hide("BonnieFan2")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("BonnieFan2")]

init -501 screen BonnieFan9C:
    add "BonnieFan9C.png" xpos 370 ypos 109

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan9C"), Show("BonnieFan8C")]

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan9C"), Show("BonnieFan10C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan9C"), Show("BonnieFan2")]

init -501 screen BonnieFan10C:
    add "BonnieFan10C.png" xpos 506 ypos 185

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan10C"), Show("BonnieFan9C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan10C"), Show("BonnieFan2")]



init -501 screen BonnieFan:
    tag menu

    add "imagefondoBonnie.png"

    imagebutton auto "BonnieFan_%s.png" xpos 1100 ypos 120 action [Show("BonnieFan1C"), Hide("BonnieFan")]

    imagebutton auto "BonnieFan2_%s.png" xpos 1400 ypos 120 action [Show("BonnieFan2C"), Hide("BonnieFan")]

    imagebutton auto "BonnieFan3_%s.png" xpos 1100 ypos 320 action [Show("BonnieFan3C"), Hide("BonnieFan")]

    imagebutton auto "BonnieFan4_%s.png" xpos 1400 ypos 320 action [Show("BonnieFan4C"), Hide("BonnieFan")]

    imagebutton auto "BonnieFan5_%s.png" xpos 1100 ypos 520 action [Show("BonnieFan5C"), Hide("BonnieFan")]

    imagebutton auto "BonnieFan6_%s.png" xpos 1400 ypos 520 action [Show("BonnieFan6C"), Hide("BonnieFan")]

    imagebutton auto "BonnieFan7_%s.png" xpos 1100 ypos 720 action [Show("BonnieFan7C"), Hide("BonnieFan")]

    imagebutton auto "BonnieFan8_%s.png" xpos 1400 ypos 720 action [Show("BonnieFan8C"), Hide("BonnieFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("BonnieFan")]

    imagebutton auto "ButtonFan_%s.png" xpos 1780 ypos 500 action [Show("BonnieFan2"), Hide("BonnieFan")]

init -501 screen BonnieFan1C:
    add "BonnieFan1C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan1C"), Show("BonnieFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan1C"), Show("BonnieFan")]

init -501 screen BonnieFan2C:
    add "BonnieFan2C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan2C"), Show("BonnieFan3C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan2C"), Show("BonnieFan1C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan2C"), Show("BonnieFan")]

init -501 screen BonnieFan3C:
    add "BonnieFan3C.png" xpos 650 ypos 100

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan3C"), Show("BonnieFan4C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan3C"), Show("BonnieFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan3C"), Show("BonnieFan")]

init -501 screen BonnieFan4C:
    add "BonnieFan4C.png" xpos 580 ypos 150

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan4C"), Show("BonnieFan5C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan4C"), Show("BonnieFan3C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan4C"), Show("BonnieFan")]

init -501 screen BonnieFan5C:
    add "BonnieFan5C.png" xpos 580 ypos 50

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan5C"), Show("BonnieFan6C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan5C"), Show("BonnieFan4C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan5C"), Show("BonnieFan")]

init -501 screen BonnieFan6C:
    add "BonnieFan6C.png" xpos 610 ypos 110

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan6C"), Show("BonnieFan7C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan6C"), Show("BonnieFan5C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan6C"), Show("BonnieFan")]

init -501 screen BonnieFan7C:
    add "BonnieFan7C.png" xpos 650 ypos 110

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan7C"), Show("BonnieFan8C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan7C"), Show("BonnieFan6C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan7C"), Show("BonnieFan")]

init -501 screen BonnieFan8C:
    add "BonnieFan8C.png" xpos 650 ypos 110

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("BonnieFan8C"), Show("BonnieFan9C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("BonnieFan8C"), Show("BonnieFan7C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("BonnieFan8C"), Show("BonnieFan")]



init -501 screen SataFan:
    tag menu
    add "imagefondoSata.png"

    imagebutton auto "SataFan_%s.png" xpos 100 ypos 220 action [Show("SataFan1C"), Hide("SataFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("SataFan")]

init -501 screen SataFan1C:
    add "SataFan1C.png" xpos 633 ypos 105

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("SataFan1C"), Show("SataFan")]



init -501 screen AsagiFan:
    tag menu
    add "imagefondoAsagi.png"

    imagebutton auto "AsagiFan_%s.png" xpos 100 ypos 220 action [Show("AsagiFan1C"), Hide("AsagiFan")]

    imagebutton auto "AsagiFan2_%s.png" xpos 400 ypos 220 action [Show("AsagiFan2C"), Hide("AsagiFan")]

    imagebutton auto "AsagiFan3_%s.png" xpos 100 ypos 420 action [Show("AsagiFan3C"), Hide("AsagiFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("AsagiFan")]

init -501 screen AsagiFan1C:
    add "AsagiFan1C.png" xpos 760 ypos 95

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AsagiFan1C"), Show("AsagiFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AsagiFan1C"), Show("AsagiFan")]

init -501 screen AsagiFan2C:
    add "AsagiFan2C.png" xpos 583 ypos 225

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("AsagiFan2C"), Show("AsagiFan3C")]

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AsagiFan2C"), Show("AsagiFan1C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AsagiFan2C"), Show("AsagiFan")]

init -501 screen AsagiFan3C:
    add "AsagiFan3C.png" xpos 633 ypos 230

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("AsagiFan3C"), Show("AsagiFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("AsagiFan3C"), Show("AsagiFan")]



init -501 screen YuriFan:
    tag menu
    add "imagefondoYuri.png"

    imagebutton auto "YuriFan_%s.png" xpos 100 ypos 220 action [Show("YuriFan1C"), Hide("YuriFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("YuriFan")]

init -501 screen YuriFan1C:
    add "YuriFan1C.png" xpos 633 ypos 105

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("YuriFan1C"), Show("YuriFan")]



init -501 screen MariaFan:
    tag menu

    add "imagefondoMaria.png"

    imagebutton auto "MariaFan_%s.png" xpos 100 ypos 220 action [Show("MariaFan1C"), Hide("MariaFan")]

    imagebutton auto "MariaFan2_%s.png" xpos 400 ypos 220 action [Show("MariaFan2C"), Hide("MariaFan")]

    textbutton _("Volver") xpos 40 ypos 900 action [Show("Fan_Arts"), Hide("MariaFan")]

init -501 screen MariaFan1C:
    add "MariaFan1C.png" xpos 580 ypos 165

    textbutton _("Next") xpos 1780 ypos 500 action [Hide("MariaFan1C"), Show("MariaFan2C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("MariaFan1C"), Show("MariaFan")]

init -501 screen MariaFan2C:
    add "MariaFan2C.png" xpos 570 ypos 280

    textbutton _("Atrás") xpos 20 ypos 500 action [Hide("MariaFan2C"), Show("MariaFan1C")]

    textbutton _("Volver") xpos 40 ypos 900 action [Hide("MariaFan2C"), Show("MariaFan")]




define -1 gui.about = ""


init -1 style about_label is gui_label
init -1 style about_label_text is gui_label_text
init -1 style about_text is gui_text

init -1 style about_label_text:
    size gui.label_text_size











init -501 screen save():
    tag menu


    use file_slots(_("Guardar"))


init -501 screen load():
    tag menu


    use file_slots(_("Cargar"))


init -501 screen file_slots(title):

    default page_name_value = FilePageNameInputValue(pattern=_("Página {}"), auto=_("Grabación automática"), quick=_("Grabación rápida"))

    use game_menu(title):

        fixed:



            order_reverse True



            button:
                style "page_label"

                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value


            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"

                xalign 0.5
                yalign 0.5

                spacing gui.slot_spacing

                for i in range(gui.file_slot_cols * gui.file_slot_rows):

                    $ slot = i + 1

                    button:
                        action FileAction(slot)

                        has vbox

                        add FileScreenshot(slot) xalign 0.5 yalign 0.5
                        key "save_delete" action FileDelete(slot)
                        vbox:
                            xalign 0.5
                            yalign 0.3

                            if FileSaveName(slot) > " " and persistent._file_page.isdigit():
                                frame:

                                    background "#000"

                                    text FileSaveName(slot):
                                        style "slot_name_text"
                                        size 30
                                        color "#fff"

                        vbox:
                            xalign 0.5
                            yalign 1.0

                            text FileTime(slot, format=_("{#file_time}%A, %B %d %Y, %H:%M"), empty=_("empty slot")):
                                style "slot_time_text"

                        if FileLoadable(slot):
                            imagebutton:
                                idle "gui/delete_idle.png"
                                hover "gui/delete_hover.png"

                                action FileDelete(slot)
                                xalign 0.99
                                yalign 0.9


            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0

                spacing gui.page_spacing

                textbutton _("<") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}R") action FilePage("quick")


                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _(">") action FilePageNext()


init -1 style page_label is gui_label
init -1 style page_label_text is gui_label_text
init -1 style page_button is gui_button
init -1 style page_button_text is gui_button_text

init -1 style slot_button is gui_button
init -1 style slot_button_text is gui_button_text
init -1 style slot_time_text is slot_button_text
init -1 style slot_name_text is slot_button_text

init -1 style page_label:
    xpadding 75
    ypadding 5

init -1 style page_label_text:
    text_align 0.5
    layout "subtitle"
    hover_color gui.hover_color

init -1 style page_button:
    properties gui.button_properties("page_button")

init -1 style page_button_text:
    properties gui.button_text_properties("page_button")

init -1 style slot_button:
    properties gui.button_properties("slot_button")

init -1 style slot_button_text:
    properties gui.button_text_properties("slot_button")









init -501 screen preferences():
    tag menu


    use game_menu(_("Opciones"), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc") or renpy.variant("web"):

                    vbox:
                        style_prefix "radio"
                        label _("Pantalla")
                        textbutton _("Ventana") action Preference("display", "window")
                        textbutton _("Pant. completa") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Lado de retroceso")
                    textbutton _("Desactivar") action Preference("rollback side", "disable")
                    textbutton _("Izquierda") action Preference("rollback side", "left")
                    textbutton _("Derecha") action Preference("rollback side", "right")

                vbox:
                    style_prefix "radio"
                    label _("Idioma")
                    textbutton _("Español") action Language (None)
                    textbutton _("English") action Language ("english")

                vbox:
                    style_prefix "check"
                    label _("Saltar")
                    textbutton _("Texto no visto") action Preference("skip", "toggle")
                    textbutton _("Tras opciones") action Preference("after choices", "toggle")
                    textbutton _("Transiciones") action InvertSelected(Preference("transitions", "toggle"))



            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    text _("Extras")
                    label _("Text Size: %s" % (persistent.pref_text_size))

                    bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'slider', offset=0, step=1)

                    textbutton _("Reset"):
                        action [SetVariable("persistent.pref_text_size", 38)]

                    label _("Dialogue box opacity {}%".format(int(persistent.say_window_alpha/1.0*100)))

                    bar value FieldValue(persistent, 'say_window_alpha', 1.0, max_is_zero=False, offset=0, step=0.1, style="slider")

            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Veloc. texto")

                    bar value Preference("text speed")

                    label _("Veloc. auto-avance")

                    bar value Preference("auto-forward time")

                vbox:

                    if config.has_music:
                        label _("Volumen música")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Volumen sonido")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Prueba") action Play("sound", config.sample_sound)

                    if config.has_voice:
                        label _("Volumen voz")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Prueba") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Silencia todo"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"


init -1 style pref_label is gui_label
init -1 style pref_label_text is gui_label_text
init -1 style pref_vbox is vbox

init -1 style radio_label is pref_label
init -1 style radio_label_text is pref_label_text
init -1 style radio_button is gui_button
init -1 style radio_button_text is gui_button_text
init -1 style radio_vbox is pref_vbox

init -1 style check_label is pref_label
init -1 style check_label_text is pref_label_text
init -1 style check_button is gui_button
init -1 style check_button_text is gui_button_text
init -1 style check_vbox is pref_vbox

init -1 style slider_label is pref_label
init -1 style slider_label_text is pref_label_text
init -1 style slider_slider is gui_slider
init -1 style slider_button is gui_button
init -1 style slider_button_text is gui_button_text
init -1 style slider_pref_vbox is pref_vbox

init -1 style mute_all_button is check_button
init -1 style mute_all_button_text is check_button_text

init -1 style pref_label:
    top_margin gui.pref_spacing
    bottom_margin 3

init -1 style pref_label_text:
    yalign 1.0

init -1 style pref_vbox:
    xsize 338

init -1 style radio_vbox:
    spacing gui.pref_button_spacing

init -1 style radio_button:
    properties gui.button_properties("radio_button")
    foreground "gui/button/radio_[prefix_]foreground.png"

init -1 style radio_button_text:
    properties gui.button_text_properties("radio_button")

init -1 style check_vbox:
    spacing gui.pref_button_spacing

init -1 style check_button:
    properties gui.button_properties("check_button")
    foreground "gui/button/check_[prefix_]foreground.png"

init -1 style check_button_text:
    properties gui.button_text_properties("check_button")

init -1 style slider_slider:
    xsize 525

init -1 style slider_button:
    properties gui.button_properties("slider_button")
    yalign 0.5
    left_margin 15

init -1 style slider_button_text:
    properties gui.button_text_properties("slider_button")

init -1 style slider_vbox:
    xsize 675









init -501 screen history():




    predict False tag menu

    use game_menu(_("Historial"), scroll=("vpgrid" if gui.history_height else "viewport"), yinitial=1.0):

        style_prefix "history"

        for h in _history_list:

            window:



                has fixed:
                    yfit True

                if h.who:

                    label h.who:
                        style "history_name"
                        substitute False



                        if "color" in h.who_args:
                            text_color h.who_args["color"]

                $ what = renpy.filter_text_tags(h.what, allow=gui.history_allow_tags)
                text what:
                    substitute False

        if not _history_list:
            label _("El historial está vacío.")




define -1 gui.history_allow_tags = set()


init -1 style history_window is empty

init -1 style history_name is gui_label
init -1 style history_name_text is gui_label_text
init -1 style history_text is gui_text

init -1 style history_text is gui_text

init -1 style history_label is gui_label
init -1 style history_label_text is gui_label_text

init -1 style history_window:
    xfill True
    ysize gui.history_height

init -1 style history_name:
    xpos gui.history_name_xpos
    xanchor gui.history_name_xalign
    ypos gui.history_name_ypos
    xsize gui.history_name_width

init -1 style history_name_text:
    min_width gui.history_name_width
    text_align gui.history_name_xalign

init -1 style history_text:
    xpos gui.history_text_xpos
    ypos gui.history_text_ypos
    xanchor gui.history_text_xalign
    xsize gui.history_text_width
    min_width gui.history_text_width
    text_align gui.history_text_xalign
    layout ("subtitle" if gui.history_text_xalign else "tex")

init -1 style history_label:
    xfill True

init -1 style history_label_text:
    xalign 0.5








init -501 screen help():
    tag menu


    default device = "keyboard"

    use game_menu(_("Ayuda"), scroll="viewport"):

        style_prefix "help"

        vbox:
            spacing 23

            hbox:

                textbutton _("Teclado") action SetScreenVariable("device", "keyboard")
                textbutton _("Ratón") action SetScreenVariable("device", "mouse")

                if GamepadExists():
                    textbutton _("Mando") action SetScreenVariable("device", "gamepad")

            if device == "keyboard":
                use keyboard_help
            elif device == "mouse":
                use mouse_help
            elif device == "gamepad":
                use gamepad_help


init -501 screen keyboard_help():

    hbox:
        label _("Enter")
        text _("Avanza el diálogo y activa la interfaz.")

    hbox:
        label _("Espacio")
        text _("Avanza el dilogo sin seleccionar opciones.")

    hbox:
        label _("Teclas de flecha")
        text _("Navega la interfaz.")

    hbox:
        label _("Escape")
        text _("Accede al menú del juego.")

    hbox:
        label _("Ctrl")
        text _("Salta el diálogo mientras se presiona.")

    hbox:
        label _("Tabulador")
        text _("Activa/desactiva el salto de diálogo.")

    hbox:
        label _("Av. pág.")
        text _("Retrocede al diálogo anterior.")

    hbox:
        label _("Re. pág.")
        text _("Avanza hacia el diálogo siguiente.")

    hbox:
        label "H"
        text _("Oculta la interfaz.")

    hbox:
        label "S"
        text _("Captura la pantalla.")

    hbox:
        label "V"
        text _("Activa/desactiva la asistencia por {a=https://www.renpy.org/l/voicing}voz-automática{/a}.")


init -501 screen mouse_help():

    hbox:
        label _("Clic izquierdo")
        text _("Avanza el diálogo y activa la interfaz.")

    hbox:
        label _("Clic medio")
        text _("Oculta la interfaz.")

    hbox:
        label _("Clic derecho")
        text _("Accede al menú del juego.")

    hbox:
        label _("Rueda del ratón arriba\nClic en lado de retroceso")
        text _("Retrocede al diálogo anterior.")

    hbox:
        label _("Rueda del ratón abajo")
        text _("Avanza hacia el diálogo siguiente.")


init -501 screen gamepad_help():

    hbox:
        label _("Gatillo derecho\nA/Botón inferior")
        text _("Avanza el diálogo y activa la interfaz.")

    hbox:
        label _("Gatillo izquierdo\nBotón sup. frontal izq.")
        text _("Retrocede al diálogo anterior.")

    hbox:
        label _("Botón sup. frontal der.")
        text _("Avanza hacia el diálogo siguiente.")


    hbox:
        label _("D-Pad, Sticks")
        text _("Navega la interfaz.")

    hbox:
        label _("Comenzar, Guía")
        text _("Accede al menú del juego.")

    hbox:
        label _("Y/Botón superior")
        text _("Oculta la interfaz.")

    textbutton _("Calibrar") action GamepadCalibrate()


init -1 style help_button is gui_button
init -1 style help_button_text is gui_button_text
init -1 style help_label is gui_label
init -1 style help_label_text is gui_label_text
init -1 style help_text is gui_text

init -1 style help_button:
    properties gui.button_properties("help_button")
    xmargin 12

init -1 style help_button_text:
    properties gui.button_text_properties("help_button")

init -1 style help_label:
    xsize 375
    right_padding 30

init -1 style help_label_text:
    size gui.text_size
    xalign 1.0
    text_align 1.0















init -501 screen confirm(message, yes_action, no_action):



    modal True

    zorder 200

    style_prefix "confirm"

    add "gui/overlay/confirm.png"

    frame:

        has vbox:
            xalign .5
            yalign .5
            spacing 45

        label _(message):
            style "confirm_prompt"
            xalign 0.5

        hbox:
            xalign 0.5
            spacing 150

            textbutton _("Sí") action yes_action
            textbutton _("No") action no_action


    key "game_menu" action no_action


init -1 style confirm_frame is gui_frame
init -1 style confirm_prompt is gui_prompt
init -1 style confirm_prompt_text is gui_prompt_text
init -1 style confirm_button is gui_medium_button
init -1 style confirm_button_text is gui_medium_button_text

init -1 style confirm_frame:
    background Frame([ "gui/confirm_frame.png", "gui/frame.png"], gui.confirm_frame_borders, tile=gui.frame_tile)
    padding gui.confirm_frame_borders.padding
    xalign .5
    yalign .5

init -1 style confirm_prompt_text:
    text_align 0.5
    layout "subtitle"

init -1 style confirm_button:
    properties gui.button_properties("confirm_button")

init -1 style confirm_button_text:
    properties gui.button_text_properties("confirm_button")









init -501 screen skip_indicator():

    zorder 100
    style_prefix "skip"

    frame:

        has hbox:
            spacing 9

        text _("Saltando")

        text "▸" at delayed_blink(0.0, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.2, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.4, 1.0) style "skip_triangle"



transform -1 delayed_blink(delay, cycle):
    alpha .5

    pause delay
    block:

        linear .2 alpha 1.0
        pause .2
        linear .2 alpha 0.5
        pause (cycle - .4)
        repeat


init -1 style skip_frame is empty
init -1 style skip_text is gui_text
init -1 style skip_triangle is skip_text

init -1 style skip_frame:
    ypos gui.skip_ypos
    background Frame("gui/skip.png", gui.skip_frame_borders, tile=gui.frame_tile)
    padding gui.skip_frame_borders.padding

init -1 style skip_text:
    size gui.notify_text_size

init -1 style skip_triangle:


    font "DejaVuSans.ttf"









init -501 screen notify(message):

    zorder 100
    style_prefix "notify"

    frame at notify_appear:
        text "[message!tq]"

    timer 3.25 action Hide('notify')


transform -1 notify_appear:
    on show:
        alpha 0
        linear .25 alpha 1.0
    on hide:
        linear .5 alpha 0.0


init -1 style notify_frame is empty
init -1 style notify_text is gui_text

init -1 style notify_frame:
    ypos gui.notify_ypos

    background Frame("gui/notify.png", gui.notify_frame_borders, tile=gui.frame_tile)
    padding gui.notify_frame_borders.padding

init -1 style notify_text:
    properties gui.text_properties("notify")









init -501 screen nvl(dialogue, items=None):

    window:
        style "nvl_window"

        has vbox:
            spacing gui.nvl_spacing


        if gui.nvl_height:

            vpgrid:
                cols 1
                yinitial 1.0

                use nvl_dialogue(dialogue)

        else:

            use nvl_dialogue(dialogue)




        for i in items:

            textbutton i.caption:
                action i.action
                style "nvl_button"

    add SideImage() xalign 0.0 yalign 1.0


init -501 screen nvl_dialogue(dialogue):

    for d in dialogue:

        window:
            id d.window_id

            has fixed:
                yfit gui.nvl_height is None

            if d.who is not None:

                text d.who:
                    id d.who_id

            text d.what:
                id d.what_id




define -1 config.nvl_list_length = gui.nvl_list_length

init -1 style nvl_window is default
init -1 style nvl_entry is default

init -1 style nvl_label is say_label
init -1 style nvl_dialogue is say_dialogue

init -1 style nvl_button is button
init -1 style nvl_button_text is button_text

init -1 style nvl_window:
    xfill True
    yfill True

    background "gui/nvl.png"
    padding gui.nvl_borders.padding

init -1 style nvl_entry:
    xfill True
    ysize gui.nvl_height

init -1 style nvl_label:
    xpos gui.nvl_name_xpos
    xanchor gui.nvl_name_xalign
    ypos gui.nvl_name_ypos
    yanchor 0.0
    xsize gui.nvl_name_width
    min_width gui.nvl_name_width
    text_align gui.nvl_name_xalign

init -1 style nvl_dialogue:
    xpos gui.nvl_text_xpos
    xanchor gui.nvl_text_xalign
    ypos gui.nvl_text_ypos
    xsize gui.nvl_text_width
    min_width gui.nvl_text_width
    text_align gui.nvl_text_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

init -1 style nvl_thought:
    xpos gui.nvl_thought_xpos
    xanchor gui.nvl_thought_xalign
    ypos gui.nvl_thought_ypos
    xsize gui.nvl_thought_width
    min_width gui.nvl_thought_width
    text_align gui.nvl_thought_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

init -1 style nvl_button:
    properties gui.button_properties("nvl_button")
    xpos gui.nvl_button_xpos
    xanchor gui.nvl_button_xalign

init -1 style nvl_button_text:
    properties gui.button_text_properties("nvl_button")







init -1 style pref_vbox:
    variant "medium"
    xsize 675



init -501 screen quick_menu():
    variant "touch"

    zorder 100

    if quick_menu:

        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Atrás") action Rollback()
            textbutton _("Saltar") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Menú") action ShowMenu()


init -1 style window:
    variant "small"
    background "gui/phone/textbox.png"

init -1 style radio_button:
    variant "small"
    foreground "gui/phone/button/radio_[prefix_]foreground.png"

init -1 style check_button:
    variant "small"
    foreground "gui/phone/button/check_[prefix_]foreground.png"

init -1 style nvl_window:
    variant "small"
    background "gui/phone/nvl.png"

init -1 style main_menu_frame:
    variant "small"
    background "gui/phone/overlay/main_menu.png"

init -1 style game_menu_outer_frame:
    variant "small"
    background "gui/phone/overlay/game_menu.png"

init -1 style game_menu_navigation_frame:
    variant "small"
    xsize 510

init -1 style game_menu_content_frame:
    variant "small"
    top_margin 0

init -1 style pref_vbox:
    variant "small"
    xsize 600

init -1 style bar:
    variant "small"
    ysize gui.bar_size
    left_bar Frame("gui/phone/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/phone/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

init -1 style vbar:
    variant "small"
    xsize gui.bar_size
    top_bar Frame("gui/phone/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/phone/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

init -1 style scrollbar:
    variant "small"
    ysize gui.scrollbar_size
    base_bar Frame("gui/phone/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/phone/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

init -1 style vscrollbar:
    variant "small"
    xsize gui.scrollbar_size
    base_bar Frame("gui/phone/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/phone/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

init -1 style slider:
    variant "small"
    ysize gui.slider_size
    base_bar Frame("gui/phone/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/phone/slider/horizontal_[prefix_]thumb.png"

init -1 style vslider:
    variant "small"
    xsize gui.slider_size
    base_bar Frame("gui/phone/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/phone/slider/vertical_[prefix_]thumb.png"

init -1 style slider_pref_vbox:
    variant "small"
    xsize None

init -1 style slider_pref_slider:
    variant "small"
    xsize 900
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
